#75 Available services crash

open
nobody
Core (22)
5
2011-01-31
2011-01-31
No

This error happens after the first start-up. I have listed 44 available services, and than, when I perform the command scan all, some of the services, which I'm sure of the good signal strength, they disappear. It seams the scan process do not finish.
After this, I can get out of the DVBstreamer.

# setupdvbstreamer -t ch_sp_debug.conf
44 Services available on 17 Multiplexes
# dvbstreamer -v -v -v -v
New setup, performing initial scan to fill in missing details.
Initial scan finished.
DVBStreamer>lsservices
Mega TV 1Seg
Mega TV HD
Mega TV SD
Gazeta HD
Gazeta 1SEG
Globo HD
Globo 1Seg
Globo SD
Record HD
Record 1Seg
Canal 21 HD
Canal 21 1SEG
BAND HDTV
BAND 1SEG
CULTURA HD
UNIVESP
MULTICULTURA
CULTURA 1SEG
SBT HD
SBT 1Seg
Rede TV! HD
Rede TV! 1Seg
Rede TV! 3D
RIT Noticias
RIT TV
RIT 1Seg
MTV HD
MTV 1Seg
ABRIL SD
ABRIL 1 SEG
Rede Vida 1Seg
Rede Vida HD
Record News HD
Record News 1Seg
TV Camara 1Seg
TV Camara
TV ALESP
TV Senado
TV BRASIL HD
TV BRASIL SD
TV BRASIL 1SEG
TV Justica 1Seg
TV Justica
Ponto Jus
DVBStreamer>scan all
Scan in progress!
DVBStreamer>lsservices
TV Camara 1Seg
TV Camara
TV ALESP
TV Senado
TV BRASIL HD
TV BRASIL SD
TV BRASIL 1SEG
TV Justica 1Seg
TV Justica
Ponto Jus
DVBStreamer>select "TV Senado"
ffff.ffff.8c62 : "TV Senado"
DVBStreamer>quit

Killed

Discussion

  • Mauro L. Filho

    Mauro L. Filho - 2011-01-31

    ISDB-T adapter log

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-01-31

    verbose mode log

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-01-31

    dvbstreamer -V
    dvbstreamer - 2.0.0 (Compiled Jan 31 2011 11:01:59)
    Written by Adam Charrett (charrea6@users.sourceforge.net).

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-01-31

    Understanding the 2.0 version, it looks like the services have been deleted once "there is no signal". This is the problem I've seen previously, but the adapter is correctly attached and there is RF signal.
    The quit problem, looks like he cannot end the scan process.

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-01-31

    Linux 2.6.35-24-generic #42-Ubuntu SMP Thu Dec 2 01:41:57 UTC 2010 i686 GNU/Linux
    Ubuntu 10.10

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-02-01

    I have other pc which I've installed the last version from svn revision 791, the DVBstreamer 2.0.0rc1 still do not work.
    It seams that the hw do not work, like I would not have any RF signal.

    Linux 2.6.32-5-686 #1 SMP Fri Dec 10 16:12:40 UTC 2010 i686
    Prolink Pixelview SBTVD - adapter N frontend 0 (DiBcom 8000 ISDB-T)
    DiBcom STK8096GP reference design - adapter N frontend 0 (DiBcom 8000 ISDB-T)
    DiBcom STK8096PVR reference design - adapter N frontend 0 (DiBcom 8000 ISDB-T)

     
  • Adam Charrett

    Adam Charrett - 2011-02-01

    Thanks for the log, ISDB isn't supported yet, the only supported broadcast systems are DVB and ATSC, this is the reason why performing a scan causes all the services to disappear.

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-02-01

    You are welcome! I can send more if you want so.
    I understand the part about the ISDB is not supported, which explains the problems I have trying to stream or scan. Why does the version 1.2 works with the ISDB? I had some troubles with it, but nothing like this problem.

     
  • Adam Charrett

    Adam Charrett - 2011-02-01

    v1 uses the old style tuning api, v2 uses the new DVB S2API and it looks like it needs to use the correct delivery system to work correctly. I'll take a look and see if I can add ISDB tuning to trunk, would you be willing to do some testing?

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-02-01

    Of course! What ever is necessary to do it!

     
  • Adam Charrett

    Adam Charrett - 2011-02-01

    Ok I've committed some changes to trunk that might enable ISDB tuning. You will need to rebuild your services data:

    rm ~/.dvbstreamer/adapter-0.db
    setupdvbstreamer -i <channels.conf file>

    I've added a new option to import the channels.conf file as an ISDB-T service list.

    Then start dvbstreamer with the -I option (also new) this will force it into ISDB mode.
    Finally try tuning a service and see if it works.

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-02-01

    Hi Adam,

    I've used the trunk. So I could use the -i option and start dvbstreamer. It seams stable now, I can get quit without killing the process. But I still could no stream, I always have the ffff.ffff.e740 : "Globo HD" output, with the TS bitrate : 0Mbs.

    I've attached some log files and DB. I've already tried the channels.conf with only one channel and then with full channels.

     
  • Adam Charrett

    Adam Charrett - 2011-02-02

    Thanks for that, another try now, can you update to the latest svn version and try again. Please ensure you use the -I (capital i) command line parameter when running dvbstreamer as this forces it into ISDB mode which will attempt to use the old style tuning API.

     
  • Mauro L. Filho

    Mauro L. Filho - 2011-02-02

    I've tried the new version with the -I for the ISDB mode forced without success. I still have problems when it is doing the scan process. It seams there is no RF signal as I've reported before.

    I've got the logs files using just only one channel and all channels in the channels.conf and the db before and after starting dvbstreamer.

    -i <file> : ISDB channels.conf file to import services and
    multiplexes from. (ISDB-T) (EXPERIMENTAL)
    NOTE: The file should be in dvb-t format
    -I : Force use of ISDB-T delivery system

    setupdvbstreamer -a 4 -v -v -v -i ch.conf -L setupdvbstreamer.verbose-4.log
    setupdvbstreamer -a 5 -v -v -v -i channels.sp.conf -L setupdvbstreamer.verbose-5.log
    dvbstreamer -a 4 -v -v -v -I -L dvbstreamer.verbose-4.log
    dvbstreamer -a 5 -v -v -v -I -L dvbstreamer.verbose-5.log

    DVBStreamer>scan all
    Scan in progress!

    DVBStreamer>select "Globo HD"
    ffff.ffff.e740 : "Globo HD"
    DVBStreamer>stats
    Service Filter:
    <Primary> : 0 (0)

    MPEG2:
    PMTProcessor : 0 (0)
    PATProcessor : 0 (0)

    Total packets processed: 0

     

Log in to post a comment.